# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_pa_data

`krb5_pa_data`

Pre-authentication data.

## Declaration

typedef struct _krb5_pa_data krb5_pa_data

## Members

krb5_magic `krb5_pa_data.magic`

krb5_preauthtype `krb5_pa_data.pa_type`

  Preauthentication data type.

unsigned int `krb5_pa_data.length`

  Length of data.

krb5_octet * `krb5_pa_data.contents`

  Data.